%define product_family Anolis OS
%define base_release_version 8

Name:           rawhide-release
Version:        8
Release:        1.1%{?dist}
Summary:        Experimental and EPAO Packages for %{product_family} %{base_release_version} repository configuration

Group:          System Environment/Base
License:        MulanPSLv2

Source0:        Experimental.repo
source1:        EPAO.repo

#BuildRequires:  anolis-gpg-keys
#BuildRequires:  anolis-repos


%description
Experimental and EPAO Packages for %{product_family} %{base_release_version} repository configuration


%package -n Experimental-release
Summary:        Experimental Packages for %{product_family} %{base_release_version} repository configuration
Group:          System Environment/Base
Provides:       Experimental
BuildArch:      noarch
Requires:       anolis-release >=  %{version}
%description -n Experimental-release
This package contains the Experimental Packages for Anolis OS %{version} repository
GPG key as well as configuration for yum.

%package -n EPAO-release
Summary:        EPAO Packages for %{product_family} %{base_release_version} repository configuration
Group:          System Environment/Base
Provides:       Experimental
BuildArch:      noarch
Requires:       anolis-release >=  %{version}
%description -n EPAO-release
This package contains the EPAO Packages for Anolis OS %{version} repository
GPG key as well as configuration for yum.

%prep
echo OK

%build
echo OK


%install
rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/Experimental.repo $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/EPAO.repo

# yum
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE0} %{SOURCE1}  \
    $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d


%files -n Experimental-release
%defattr(-,root,root,-)
#%doc %{source2}
%config(noreplace) /etc/yum.repos.d/Experimental.repo


%files -n EPAO-release
#%doc %{source3}
%config(noreplace) /etc/yum.repos.d/EPAO.repo

%changelog
* Tue Jul 12 2022 Zhao Hang <wb-zh951434@alibaba-inc.com> - 8-1.1
- Add rawide-release for Anolis OS 8.
